---
title: SVGAltGlyphElement.glyphRef
slug: Web/API/SVGAltGlyphElement/glyphRef
tags:
  - API
  - Deprecated
  - Property
  - Reference
  - SVG
  - SVGAltGlyphElement
  - SVGAltGlyphRefElement
---
<p>{{APIRef("SVGAltGlyphElement")}}</p>

<p>{{Deprecated_header}}</p>

<p>The <strong><code>SVGAltGlyphElement.glyphRef</code></strong> property is a {{domxref("DOMString")}} representing a glyph identifier. It has the same meaning as the ‘glyphRef’ property on the {{domxref("SVGGlyphRefElement")}} interface of the {{SVGElement("glyphRef")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">string = <em>myGlyph</em>.glyphRef;
<em>myGlyph</em>.glyphRef = string;
</pre>

<h3 id="Value">Value</h3>

<p>The return value is a Glyph Identifier, the value of which depends on the {{domxref("format")}} of the given font.</p>

<h2 id="Example">Example<code> </code></h2>

<pre class="brush: js"><code>myGlyph.glypRef = "#glyphID";</code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'text.html#InterfaceSVGGlyphRefElement', 'glyphRef')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAltGlyphElement.glyphRef")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("<code>SVGGlyphRef</code>Element")}}</li>
 <li>{{domxref("SVGAltGlyphElement")}}</li>
</ul>
